using System;
using System.Collections.Generic;
using System.Security.Cryptography.X509Certificates;

public class Program
{
    public struct Vaga
    {
        public int tezina_od;
        public int tezina_do;
        
        // constructor 
        public Vaga(int tezinaOd, int tezinaDo)
        {
            tezina_od = tezinaOd;
            tezina_do = tezinaDo;
        }
    }
    public struct Pitanje
    {
        public int index1;
        public int index2;
        public int tezinaX;
        public Pitanje(int indexPrvi, int indexDrugi, int x)
        {
            index1 = indexPrvi;
            index2 = indexDrugi;
            tezinaX = x;
        }
    }
    public static void OdgovoriNaPitanje(Pitanje pitanje, List<Vaga> lista_vaga)
    {
        int br = 0;
        for (int i = pitanje.index1-1; i < pitanje.index2; i++)
        {
            Vaga vaga = lista_vaga[i];
            if (vaga.tezina_do >= pitanje.tezinaX && vaga.tezina_od <= pitanje.tezinaX)
                br++;
        }
        Console.WriteLine(br);
    }
    public static void Main()
    {
        string[] unos = Console.ReadLine().Split();

        int broj_vaga = int.Parse(unos[0]);
        int broj_pitanja = int.Parse(unos[1]);

        List<Vaga> lista_vaga = new List<Vaga>();

        for(int i = 0; i < broj_vaga; i++)
        {
            unos = Console.ReadLine().Split();

            int vrednost1 = int.Parse(unos[0]);
            int vrednost2 = int.Parse(unos[1]);

            Vaga vagaTemp = new Vaga(vrednost1, vrednost2);

            lista_vaga.Add(vagaTemp);
        }

        List<Pitanje> lista_pitanja = new List<Pitanje>();
        for (int i = 0; i < broj_pitanja; i++)
        {
            unos = Console.ReadLine().Split();
            int index1 = int.Parse(unos[0]);
            int index2 = int.Parse(unos[1]);
            int x = int.Parse(unos[2]);

            Pitanje tempPitanje = new Pitanje(index1, index2, x);
            lista_pitanja.Add(tempPitanje);
        }

        foreach (Pitanje pitanjer in lista_pitanja)
            OdgovoriNaPitanje(pitanjer, lista_vaga);

        Console.ReadLine();


    }
}